Bug 2249 - short description in real path resolve error
short description in real path resolve error
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbmount (unmaintained)
3.0.0preX
All Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 05:22 UTC by Manuel Baena
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Baena 2005-01-16 05:22:45 UTC
In smbmnt.c function fullpath change
        if (realpath(p, path) == NULL) {
                fprintf(stderr,"Failed to find real path for mount point\n");
                exit(1);
        }
to
        if (realpath(p, path) == NULL) {
                fprintf(stderr,"Failed to find real path for mount point %s: %s\n",
                         p, strerror(errno));
                exit(1);
        }

thanks.
Comment 1 Gerald (Jerry) Carter 2005-02-07 08:33:59 UTC
fixed for 3.0.12
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:13 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.